#!/bin/sh
### BEGIN INIT INFO
# Provides:          b4a-rdc
# Required-Start:    $local_fs $remote_fs $network $syslog
# Required-Stop:     $local_fs $remote_fs $network $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# X-Interactive:     true
# Short-Description: Start/stop b4a-rdc server
### END INIT INFO
 
cd /home/<USERNAME>/b4a-rdc
case $1 in
    start)
        echo "Starting b4a-rdc..."
        if [ ! -f /tmp/b4a-rdc-pid ]; then
            nohup java -Xmx256m -cp .:/home/<USERNAME>/b4a-rdc/libs/*:/home/<USERNAME>/b4a-rdc/jdbc_driver/* anywheresoftware.b4a.remotedatabase.RemoteServer /home/<USERNAME>/b4a-rdc 2>> /dev/null >> /dev/null &
            echo $! > /tmp/b4a-rdc-pid
            echo "b4a-rdc started..."
        else
            echo "b4a-rdc is already running..."
        fi
    ;;
    stop)
        if [ -f /tmp/b4a-rdc-pid ]; then
            PID=$(cat /tmp/b4a-rdc-pid);
            echo "Stopping b4a-rdc..."
            kill $PID;
            echo "b4a-rdc stopped..."
            rm /tmp/b4a-rdc-pid
        else
            echo "b4a-rdc is not running..."
        fi
    ;;
    restart)
        if [ -f /tmp/b4a-rdc-pid ]; then
            PID=$(cat /tmp/b4a-rdc-pid);
            echo "Stopping b4a-rdc...";
            kill $PID;
            echo "b4a-rdc stopped...";
            rm /tmp/b4a-rdc-pid
            echo "Starting b4a-rdc..."
            nohup java -Xmx256m -cp .:/home/<USERNAME>/b4a-rdc/libs/*:/home/<USERNAME>/b4a-rdc/jdbc_driver/* anywheresoftware.b4a.remotedatabase.RemoteServer /home/<USERNAME>/b4a-rdc 2>> /dev/null >> /dev/null &
            echo $! > /tmp/b4a-rdc-pid
            echo "b4a-rdc started..."
        else
            echo "b4a-rdc is not running..."
        fi
    ;;
esac
